question-circle Elavult 7.0 php verzió mégis 7.3 van fent

Több
2019 máj. 31 15:10 #1 Írta: Petronella
Elavult 7.0 php verzió mégis 7.3 van fent téma létrehozva Petronella által
Sziasztok!



A fenti hibaüzenetet adja a szerver Debian 9 , lefrissítettem 7.3-ra de mégis azt írja, hogy 7.0 és elavult php verziót használok.

Shell-ben php -v
php -v
PHP 7.3.5-1+0~20190503093827.38+stretch~1.gbp60a41b (cli) (built: May  3 2019 09:38:28) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.5, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.3.5-1+0~20190503093827.38+stretch~1.gbp60a41b, Copyright (c) 1999-2018, by Zend Technologies

Mit rontok el?

Joomla! 3.9.6

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 03 08:30 #2 Írta: kovacshazi
kovacshazi válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Szerver újra indítás, Joomla Cache ürítés?

Segítség Joomla és VirtueMart webáruház készítéséhet, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 03 15:04 #3 Írta: Petronella
Petronella válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Egyik sem segített.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 03 15:20 #4 Írta: kovacshazi
kovacshazi válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Látatlanban nehéz segíteni sajnos. Saját kezelésben van a szerver vagy szolgáltatónál?
Ha szolgáltató, akkor lehet érdemes egyszerűen megkérni, hogy állítsa be. CPanelen Te magad is tudod ezt változtatni.
www.namecheap.com/support/knowledgebase/...on-and-configuration

Ha saját szerver akkor pedig megpróbálnám a Joomlatól független PHP kóddal leellenőrizni a PHP verziót, bár ebben a Joomla nem nagyon viselkedhet hülyén, de a cache-t talán kizárja egy független szkript:
<?php phpinfo(); ?>

Segítség Joomla és VirtueMart webáruház készítéséhet, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 04 09:31 - 2019 jún. 04 09:48 #5 Írta: Balázs
Balázs válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Én regébben találkoztam hasonlóval, amikor is a Cpanelen alt php verziót választottam ki és nem ea verziót, akkor nálam is false pozitívan jelzett a rendszer a verziót illetően. De, ennek nem biztos, hogy ennek a beállításnak köze van a felvetett problémához. Kérdés továbbá, hogy a a Rendszer -> Rendszerinformációk ->Php-verzió sorban mit ír ki?

Ha bizalmas információt szeretnél közölni az adminokkal, akkor tedd az üzeneted tartalmát a [ confidential ][ /confidential ] címkék közé (szóközök nélkül).

Joomla! tanácsadás, oktatás, fejlesztés - joomlabs.hu
Utolsó szerkesztés: 2019 jún. 04 09:48 Balázs által.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 04 18:55 #6 Írta: Petronella
Petronella válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
PHP Version 	7.0.33-7+0~20190503101027.13+stretch~1.gbp26f991 

Ott is ez van, sőt mindenhol az administrator felületen.
Build Date 	May 3 2019 10:10:27
Server API 	Apache 2.0 Handler
Virtual Directory Support 	disabled
Configuration File (php.ini) Path 	/etc/php/7.0/apache2
Loaded Configuration File 	/etc/php/7.0/apache2/php.ini
Scan this dir for additional .ini files 	/etc/php/7.0/apache2/conf.d
Additional .ini files parsed 	/etc/php/7.0/apache2/conf.d/10-mysqlnd.ini, /etc/.... itt még egy csomó...7.0

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 05 09:18 - 2019 jún. 05 09:19 #7 Írta: Balázs
Balázs válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Tudomásom szerint a Joomla! a phpinfo() függvényt használja, és ha ott azt kapja vissza a kiszolgálótól, hogy 7.0.33, akkor ki fogja írni továbbra is a figyelmeztetést. Amúgy a report alapján mindent a 7.0-ás mappából tölt be, tehát itt valami nem stimmel.

Segíthet még: superuser.com/questions/969861/phpinfo-a...erent-version-of-php

Ha bizalmas információt szeretnél közölni az adminokkal, akkor tedd az üzeneted tartalmát a [ confidential ][ /confidential ] címkék közé (szóközök nélkül).

Joomla! tanácsadás, oktatás, fejlesztés - joomlabs.hu
Utolsó szerkesztés: 2019 jún. 05 09:19 Balázs által.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 05 09:58 #8 Írta: kovacshazi
kovacshazi válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Ezek szerint vagy nem sikerült a PHP 7.3 telepítése vagy nem azt tölti be a szerver.
websiteforstudents.com/install-php-7-3-p...u-16-04-18-04-18-10/

Segítség Joomla és VirtueMart webáruház készítéséhet, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 05 13:16 #9 Írta: Petronella
Petronella válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Igen,

valószínű nem sikerült a 7.3 telepítése, illetve párhuzamosan van fent a 7.0 és a 7.3 viszont a Joomla! a 7.0-t használja.

phpinfo is ezt írja ki.
PHP Version 	7.0.33-7+0~20190503101027.13+stretch~1.gbp26f991

Akkor már érthető, szóval nem a Joomla! a ludas. Ok. köszönöm!

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2019 jún. 07 21:07 #10 Írta: Petronella
Petronella válaszolt a következő témában: Elavult 7.0 php verzió mégis 7.3 van fent
Nem volt bonyolult a megoldás, csak ki kellett kapcsolni a 7.0-t
a2dismod php7.0
Module php7.0 disabled.
To activate the new configuration, you need to run:
  systemctl restart apache2

utána meg bekapcsolni a 7.3-at és újrarúgni az apache-ot.
a2enmod php7.3
Enabling module php7.3.
To activate the new configuration, you need to run:
  systemctl restart apache2

igaz kaptam némi figyelmeztetést
Considering dependency mpm_prefork for php7.3:
Considering conflict mpm_event for mpm_prefork:
Considering conflict mpm_worker for mpm_prefork:
Module mpm_prefork already enabled
Considering conflict php5 for php7.3:

Ez nem tudom mennyire hagyható figyelmen kívül...

Jelentkezz be, hogy te is részt vehess beszélgetésben!